Bug 1193142 - ICE when building systemd on both F22/F23 on ARM
Summary: ICE when building systemd on both F22/F23 on ARM
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ARMTracker
TreeView+ depends on / blocked
 
Reported: 2015-02-16 16:19 UTC by Peter Robinson
Modified: 2015-03-09 08:40 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-09 08:40:47 UTC


Attachments (Terms of Use)
rawhide /tmp cc output (439.34 KB, text/x-csrc)
2015-02-16 17:23 UTC, Kevin Fenzi
no flags Details
f22 tmp output (439.37 KB, text/x-csrc)
2015-02-16 17:31 UTC, Kevin Fenzi
no flags Details


Links
System ID Priority Status Summary Last Updated
GNU Compiler Collection 65066 None None None Never

Description Peter Robinson 2015-02-16 16:19:15 UTC
F-22 http://koji.fedoraproject.org/koji/taskinfo?taskID=8952576
F-23 http://koji.fedoraproject.org/koji/taskinfo?taskID=8952156

gcc -DHAVE_CONFIG_H -I. -I..  -include ./config.h -DPKGSYSCONFDIR=\"/etc/systemd\" -DSYSTEM_CONFIG_UNIT_PATH=\"/etc/systemd/system\" -DSYSTEM_DATA_UNIT_PATH=\"/usr/lib/systemd/system\" -DSYSTEM_SYSVINIT_PATH=\"/etc/rc.d/init.d\" -DSYSTEM_SYSVRCND_PATH=\"/etc/rc.d\" -DUSER_CONFIG_UNIT_PATH=\"/etc/systemd/user\" -DUSER_DATA_UNIT_PATH=\"/usr/lib/systemd/user\" -DCERTIFICATE_ROOT=\"/etc/ssl\" -DCATALOG_DATABASE=\"/var/lib/systemd/catalog/database\" -DSYSTEMD_CGROUP_AGENT_PATH=\"/usr/lib/systemd/systemd-cgroups-agent\" -DSYSTEMD_BINARY_PATH=\"/usr/lib/systemd/systemd\" -DSYSTEMD_SHUTDOWN_BINARY_PATH=\"/usr/lib/systemd/systemd-shutdown\" -DSYSTEMD_SLEEP_BINARY_PATH=\"/usr/lib/systemd/systemd-sleep\" -DSYSTEMCTL_BINARY_PATH=\"/usr/bin/systemctl\" -DSYSTEMD_TTY_ASK_PASSWORD_AGENT_BINARY_PATH=\"/usr/bin/systemd-tty-ask-password-agent\" -DSYSTEMD_STDIO_BRIDGE_BINARY_PATH=\"/usr/bin/systemd-stdio-bridge\" -DROOTPREFIX=\"/usr\" -DRANDOM_SEED_DIR=\"/var/lib/systemd/\" -DRANDOM_SEED=\"/var/lib/systemd/random-seed\" -DSYSTEMD_CRYPTSETUP_PATH=\"/usr/lib/systemd/systemd-cryptsetup\" -DSYSTEM_GENERATOR_PATH=\"/usr/lib/systemd/system-generators\" -DUSER_GENERATOR_PATH=\"/usr/lib/systemd/user-generators\" -DSYSTEM_SHUTDOWN_PATH=\"/usr/lib/systemd/system-shutdown\" -DSYSTEM_SLEEP_PATH=\"/usr/lib/systemd/system-sleep\" -DSYSTEMD_KBD_MODEL_MAP=\"/usr/share/systemd/kbd-model-map\" -DX_SERVER=\"/usr/bin/X\" -DUDEVLIBEXECDIR=\"/usr/lib/udev\" -DPOLKIT_AGENT_BINARY_PATH=\"/usr/bin/pkttyagent\" -DQUOTACHECK=\"/usr/sbin/quotacheck\" -DKEXEC=\"/usr/sbin/kexec\" -DLIBDIR=\"/usr/lib\" -DROOTLIBDIR=\"/usr/lib\" -DTEST_DIR=\"/builddir/build/BUILD/systemd-218/build3/../test\" -I ../src -I ./src/shared -I ../src/shared -I ../src/network -I ../src/login -I ../src/journal -I ../src/timedate -I ../src/timesync -I ../src/resolve -I ./src/resolve -I ../src/systemd -I ./src/core -I ../src/core -I ../src/libudev -I ../src/udev -I ../src/udev/net -I ./src/udev -I ../src/libsystemd/sd-bus -I ../src/libsystemd/sd-event -I ../src/libsystemd/sd-rtnl -I ../src/libsystemd/sd-network -I ../src/libsystemd-network -I ../src/libsystemd-terminal -Wp,-D_FORTIFY_SOURCE=2    -pipe -Wall -Wextra -Wno-inline -Wundef -Wformat=2 -Wformat-security -Wformat-nonliteral -Wlogical-op -Wsign-compare -Wmissing-include-dirs -Wold-style-definition -Wpointer-arith -Winit-self -Wdeclaration-after-statement -Wfloat-equal -Wsuggest-attribute=noreturn -Wmissing-prototypes -Wstrict-prototypes -Wredundant-decls -Wmissing-declarations -Wmissing-noreturn -Wshadow -Wendif-labels -Wstrict-aliasing=2 -Wwrite-strings -Wno-long-long -Wno-overlength-strings -Wno-unused-parameter -Wno-missing-field-initializers -Wno-unused-result -Werror=overflow -Wdate-time -Wnested-externs -ffast-math -fno-common -fdiagnostics-show-option -fno-strict-aliasing -fvisibility=hidden -ffunction-sections -fdata-sections -fstack-protector -fstack-protector-strong -fPIE --param=ssp-buffer-size=4 -flto -ffat-lto-objects   -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -march=armv7-a -mfpu=vfpv3-d16  -mfloat-abi=hard -c -o src/journal/coredump.o ../src/journal/coredump.c
../src/journal-remote/microhttpd-util.c: In function 'verify_cert_authorized':
../src/journal-remote/microhttpd-util.c:181:9: internal compiler error: Segmentation fault
         log_info("Certificate status: %s", out.data);
         ^
Please submit a full bug report,
with preprocessed source if appropriate.
See <http://bugzilla.redhat.com/bugzilla> for instructions.
In file included from ../src/journal/coredump.c:38:0:
../src/journal/coredump.c: In function 'compose_open_fds':
../src/shared/util.h:925:46: warning: format '%u' expects argument of type 'unsigned int', but argument 3 has type 'pid_t {aka int}' [-Wformat=]
                         sprintf((char*) _r_, "/proc/"PID_FMT"/" field, _pid_);                       \
                                              ^
../src/journal/coredump.c:475:16: note: in expansion of macro 'procfs_file_alloca'
         path = procfs_file_alloca(pid, "fd");
                ^
../src/journal/coredump.c: In function 'main':
../src/shared/util.h:925:46: warning: format '%u' expects argument of type 'unsigned int', but argument 3 has type 'pid_t {aka int}' [-Wformat=]
                         sprintf((char*) _r_, "/proc/"PID_FMT"/" field, _pid_);                       \
                                              ^
../src/journal/coredump.c:722:13: note: in expansion of macro 'procfs_file_alloca'
         p = procfs_file_alloca(pid, "status");
             ^
../src/shared/util.h:925:46: warning: format '%u' expects argument of type 'unsigned int', but argument 3 has type 'pid_t {aka int}' [-Wformat=]
                         sprintf((char*) _r_, "/proc/"PID_FMT"/" field, _pid_);                       \
                                              ^
../src/journal/coredump.c:731:13: note: in expansion of macro 'procfs_file_alloca'
         p = procfs_file_alloca(pid, "maps");
             ^
../src/shared/util.h:925:46: warning: format '%u' expects argument of type 'unsigned int', but argument 3 has type 'pid_t {aka int}' [-Wformat=]
                         sprintf((char*) _r_, "/proc/"PID_FMT"/" field, _pid_);                       \
                                              ^
../src/journal/coredump.c:740:13: note: in expansion of macro 'procfs_file_alloca'
         p = procfs_file_alloca(pid, "limits");
             ^
../src/shared/util.h:925:46: warning: format '%u' expects argument of type 'unsigned int', but argument 3 has type 'pid_t {aka int}' [-Wformat=]
                         sprintf((char*) _r_, "/proc/"PID_FMT"/" field, _pid_);                       \
                                              ^
../src/journal/coredump.c:749:13: note: in expansion of macro 'procfs_file_alloca'
         p = procfs_file_alloca(pid, "cgroup");
             ^
gcc -DHAVE_CONFIG_H -I. -I..  -include ./config.h -DPKGSYSCONFDIR=\"/etc/systemd\" -DSYSTEM_CONFIG_UNIT_PATH=\"/etc/systemd/system\" -DSYSTEM_DATA_UNIT_PATH=\"/usr/lib/systemd/system\" -DSYSTEM_SYSVINIT_PATH=\"/etc/rc.d/init.d\" -DSYSTEM_SYSVRCND_PATH=\"/etc/rc.d\" -DUSER_CONFIG_UNIT_PATH=\"/etc/systemd/user\" -DUSER_DATA_UNIT_PATH=\"/usr/lib/systemd/user\" -DCERTIFICATE_ROOT=\"/etc/ssl\" -DCATALOG_DATABASE=\"/var/lib/systemd/catalog/database\" -DSYSTEMD_CGROUP_AGENT_PATH=\"/usr/lib/systemd/systemd-cgroups-agent\" -DSYSTEMD_BINARY_PATH=\"/usr/lib/systemd/systemd\" -DSYSTEMD_SHUTDOWN_BINARY_PATH=\"/usr/lib/systemd/systemd-shutdown\" -DSYSTEMD_SLEEP_BINARY_PATH=\"/usr/lib/systemd/systemd-sleep\" -DSYSTEMCTL_BINARY_PATH=\"/usr/bin/systemctl\" -DSYSTEMD_TTY_ASK_PASSWORD_AGENT_BINARY_PATH=\"/usr/bin/systemd-tty-ask-password-agent\" -DSYSTEMD_STDIO_BRIDGE_BINARY_PATH=\"/usr/bin/systemd-stdio-bridge\" -DROOTPREFIX=\"/usr\" -DRANDOM_SEED_DIR=\"/var/lib/systemd/\" -DRANDOM_SEED=\"/var/lib/systemd/random-seed\" -DSYSTEMD_CRYPTSETUP_PATH=\"/usr/lib/systemd/systemd-cryptsetup\" -DSYSTEM_GENERATOR_PATH=\"/usr/lib/systemd/system-generators\" -DUSER_GENERATOR_PATH=\"/usr/lib/systemd/user-generators\" -DSYSTEM_SHUTDOWN_PATH=\"/usr/lib/systemd/system-shutdown\" -DSYSTEM_SLEEP_PATH=\"/usr/lib/systemd/system-sleep\" -DSYSTEMD_KBD_MODEL_MAP=\"/usr/share/systemd/kbd-model-map\" -DX_SERVER=\"/usr/bin/X\" -DUDEVLIBEXECDIR=\"/usr/lib/udev\" -DPOLKIT_AGENT_BINARY_PATH=\"/usr/bin/pkttyagent\" -DQUOTACHECK=\"/usr/sbin/quotacheck\" -DKEXEC=\"/usr/sbin/kexec\" -DLIBDIR=\"/usr/lib\" -DROOTLIBDIR=\"/usr/lib\" -DTEST_DIR=\"/builddir/build/BUILD/systemd-218/build3/../test\" -I ../src -I ./src/shared -I ../src/shared -I ../src/network -I ../src/login -I ../src/journal -I ../src/timedate -I ../src/timesync -I ../src/resolve -I ./src/resolve -I ../src/systemd -I ./src/core -I ../src/core -I ../src/libudev -I ../src/udev -I ../src/udev/net -I ./src/udev -I ../src/libsystemd/sd-bus -I ../src/libsystemd/sd-event -I ../src/libsystemd/sd-rtnl -I ../src/libsystemd/sd-network -I ../src/libsystemd-network -I ../src/libsystemd-terminal -Wp,-D_FORTIFY_SOURCE=2    -pipe -Wall -Wextra -Wno-inline -Wundef -Wformat=2 -Wformat-security -Wformat-nonliteral -Wlogical-op -Wsign-compare -Wmissing-include-dirs -Wold-style-definition -Wpointer-arith -Winit-self -Wdeclaration-after-statement -Wfloat-equal -Wsuggest-attribute=noreturn -Wmissing-prototypes -Wstrict-prototypes -Wredundant-decls -Wmissing-declarations -Wmissing-noreturn -Wshadow -Wendif-labels -Wstrict-aliasing=2 -Wwrite-strings -Wno-long-long -Wno-overlength-strings -Wno-unused-parameter -Wno-missing-field-initializers -Wno-unused-result -Werror=overflow -Wdate-time -Wnested-externs -ffast-math -fno-common -fdiagnostics-show-option -fno-strict-aliasing -fvisibility=hidden -ffunction-sections -fdata-sections -fstack-protector -fstack-protector-strong -fPIE --param=ssp-buffer-size=4 -flto -ffat-lto-objects   -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -march=armv7-a -mfpu=vfpv3-d16  -mfloat-abi=hard -c -o src/journal/stacktrace.o ../src/journal/stacktrace.c
../src/journal/stacktrace.c: In function 'thread_callback':
../src/journal/stacktrace.c:113:23: warning: format '%u' expects argument of type 'unsigned int', but argument 3 has type 'pid_t {aka int}' [-Wformat=]
         fprintf(c->f, "Stack trace of thread " PID_FMT ":\n", tid);
                       ^
Preprocessed source stored into /tmp/ccKDqvwL.out file, please attach this to your bugreport.
Makefile:16117: recipe for target 'src/journal-remote/systemd_journal_gatewayd-microhttpd-util.o' failed
make[2]: *** [src/journal-remote/systemd_journal_gatewayd-microhttpd-util.o] Error 1
make[2]: *** Waiting for unfinished jobs....
../src/journal/coredump.c:856:42: warning: 'sz' may be used uninitialized in this function [-Wmaybe-uninitialized]
                         iovec[j].iov_len = sz;
                                          ^
Makefile:17866: recipe for target 'all-recursive' failed

Comment 1 Marek Polacek 2015-02-16 16:40:03 UTC
Preprocessed source stored into /tmp/ccKDqvwL.out file, please attach this to your bugreport.

Can you provide that?

Comment 2 Kevin Fenzi 2015-02-16 17:23:09 UTC
Created attachment 992274 [details]
rawhide /tmp cc output

Here's the output from the f23/rawhide job.

Comment 3 Kevin Fenzi 2015-02-16 17:31:10 UTC
Created attachment 992286 [details]
f22 tmp output

Comment 4 Marek Polacek 2015-02-18 06:29:27 UTC
Should be fixed in gcc-5.0.0-0.15.fc23.

Comment 5 Peter Robinson 2015-02-18 11:05:50 UTC
Build still failing with 0:5.0.0-0.15.fc23

http://koji.fedoraproject.org/koji/taskinfo?taskID=8979313

libtool: link: gcc -pipe -Wall -Wextra -Wno-inline -Wundef -Wformat=2 -Wformat-security -Wformat-nonliteral -Wlogical-op -Wsign-compare -Wmissing-include-dirs -Wold-style-definition -Wpointer-arith -Winit-self -Wdeclaration-after-statement -Wfloat-equal -Wsuggest-attribute=noreturn -Wmissing-prototypes -Wstrict-prototypes -Wredundant-decls -Wmissing-declarations -Wmissing-noreturn -Wshadow -Wendif-labels -Wstrict-aliasing=2 -Wwrite-strings -Wno-long-long -Wno-overlength-strings -Wno-unused-parameter -Wno-missing-field-initializers -Wno-unused-result -Werror=overflow -Wdate-time -Wnested-externs -ffast-math -fno-common -fdiagnostics-show-option -fno-strict-aliasing -fvisibility=hidden -ffunction-sections -fdata-sections -fstack-protector -fstack-protector-strong -fPIE --param=ssp-buffer-size=4 -flto -ffat-lto-objects -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -march=armv7-a -mfpu=vfpv3-d16 -mfloat-abi=hard -Wl,--as-needed -Wl,--no-undefined -Wl,--gc-sections -Wl,-z -Wl,relro -Wl,-z -Wl,now -pie -Wl,-fuse-ld=gold -Wl,-fuse-ld=bfd -o busctl src/libsystemd/sd-bus/busctl.o src/libsystemd/sd-bus/busctl-introspect.o  ./.libs/libsystemd-dump.a ./.libs/libsystemd-internal.a -lrt ./.libs/libsystemd-shared.a -lcap -lm -ldw -ldl -pthread
lto1: internal compiler error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <http://bugzilla.redhat.com/bugzilla> for instructions.
lto-wrapper: fatal error: gcc returned 1 exit status
compilation terminated.
/usr/bin/ld.bfd: lto-wrapper failed
collect2: error: ld returned 1 exit status
Makefile:12415: recipe for target 'systemd-stdio-bridge' failed
make[2]: *** [systemd-stdio-bridge] Error 1
make[2]: *** Waiting for unfinished jobs....
../src/libsystemd/sd-bus/busctl.c: In function 'busctl_main':
../src/shared/util.h:673:9: warning: 'e' may be used uninitialized in this function [-Wmaybe-uninitialized]
         free(*(void**) p);
         ^
../src/libsystemd/sd-bus/busctl.c:204:54: note: 'e' was declared here
                                 _cleanup_free_ char *e;
                                                      ^
lto1: internal compiler error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <http://bugzilla.redhat.com/bugzilla> for instructions.
lto-wrapper: fatal error: gcc returned 1 exit status
compilation terminated.
/usr/bin/ld.bfd: lto-wrapper failed
collect2: error: ld returned 1 exit status
Makefile:11450: recipe for target 'busctl' failed
make[2]: *** [busctl] Error 1
In function '__ppoll_alias',
    inlined from 'bus_poll' at ../src/libsystemd/sd-bus/sd-bus.c:2791:11:
/usr/include/bits/poll2.h:71:9: warning: call to '__ppoll_chk_warn' declared with attribute warning: ppoll called with fds buffer too small file nfds entries
  return __ppoll_chk (__fds, __nfds, __timeout, __ss, __bos (__fds));
         ^
libtool: link: ( cd ".libs" && rm -f "pam_systemd.la" && ln -s "../pam_systemd.la" "pam_systemd.la" )
Makefile:19106: recipe for target 'all-recursive' failed
make[1]: *** [all-recursive] Error 1
Makefile:9653: recipe for target 'all' failed

Comment 6 Marek Polacek 2015-02-18 11:09:10 UTC
I see.  I think this is now a dup of Bug 1193212.

Comment 7 Jakub Jelinek 2015-03-09 08:40:47 UTC
But even that should be fixed already.


Note You need to log in before you can comment on or make changes to this bug.